## org.codehaus.groovy.control
Class GenericsVisitor

class used to verify correct usage of generics in class header (class and superclass declaration)

author:
  Jochen Theodorou

Field Summary
`SourceUnit` | `source`

Constructor Summary
`GenericsVisitor(SourceUnit source)`

Method Summary
`void` | `checkBounds(def given, def restrictions)`
`void` | `checkGenericsUsage(ClassNode n, ClassNode cn)`
`boolean` | `checkWildcard(ClassNode cn)`
`String` | `getPrintName(GenericsType gt)`
`String` | `getPrintName(ClassNode cn)`
`SourceUnit` | `getSourceUnit()`
`void` | `visitClass(ClassNode node)`

Constructor Detail

### GenericsVisitor

    public GenericsVisitor(SourceUnit source)

Method Detail

### checkBounds

    void checkBounds(def given, def restrictions)

### checkGenericsUsage

    void checkGenericsUsage(ClassNode n, ClassNode cn)

### checkWildcard

    boolean checkWildcard(ClassNode cn)

### getPrintName

    String getPrintName(GenericsType gt)

### getPrintName

    String getPrintName(ClassNode cn)

### getSourceUnit

    SourceUnit getSourceUnit()

### visitClass

    public void visitClass(ClassNode node)